Skip to main content
`Ctrl`+`K`

# SNESCompositeGetNumber

Get the number of subsolvers in the `SNESCOMPOSITE`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESCompositeGetNumber(SNES snes, PetscInt *n)

Logically Collective

## Input Parameter

- snes - the `SNES` context

## Output Parameter

- n - the number of subsolvers

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESCOMPOSITE`, `SNESCompositeAddSNES()`, `SNESCompositeGetSNES()`

## Level

developer

## Location

src/snes/impls/composite/snescomposite.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages